## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_scale

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::scale - Create and manipulate a scale widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET-SPECIFIC OPTIONS
    -command, command, Command
    -from, from, From
    -length, length, Length
    -orient, orient, Orient
    -to, to, To
    -value, value, Value
    -variable, variable, Variable
  WIDGET COMMAND
    pathName cget option
    pathName configure ?option? ?value option value ...?
    pathName get ?x y?
    pathName identify x y
    pathName instate statespec ?script?
    pathName set value
    pathName state ?stateSpec?
  INTERNAL COMMANDS
    pathName coords ?value?
  SEE ALSO
  KEYWORDS

### NAME

ttk::scale - Create and manipulate a scale widget

### SYNOPSIS

ttk::scale pathName ?options...?

### DESCRIPTION

A ttk::scale widget is typically used to control the numeric value of a linked variable that varies uniformly over some range. A scale displays a slider that can be moved along over a trough, with the relative position of the slider over the trough indicating the value of the variable.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -command
Database Name: command
Database Class: Command
  Specifies the prefix of a Tcl command to invoke whenever the scale's value is changed via a widget command. The actual command consists of this option followed by a space and a real number indicating the new value of the scale.

Command-Line Name: -from
Database Name: from
Database Class: From
  A real value corresponding to the left or top end of the scale.

Command-Line Name: -length
Database Name: length
Database Class: Length
  Specifies the desired long dimension of the scale in screen units (i.e. any of the forms acceptable to Tk_GetPixels). For vertical scales this is the scale's height; for horizontal scales it is the scale's width.

Command-Line Name: -orient
Database Name: orient
Database Class: Orient
  Specifies which orientation whether the widget should be laid out horizontally or vertically. Must be either horizontal or vertical or an abbreviation of one of these.

Command-Line Name: -to
Database Name: to
Database Class: To
  Specifies a real value corresponding to the right or bottom end of the scale. This value may be either less than or greater than the from option.

Command-Line Name: -value
Database Name: value
Database Class: Value
  Specifies the current floating-point value of the variable.

Command-Line Name: -variable
Database Name: variable
Database Class: Variable
  Specifies the name of a global variable to link to the scale. Whenever the value of the variable changes, the scale will update to reflect this value. Whenever the scale is manipulated interactively, the variable will be modified to reflect the scale's new value.

### WIDGET COMMAND

pathName cget option
  Returns the current value of the specified option; see ttk::widget(n).

pathName configure ?option? ?value option value ...?
  Modify or query widget options; see ttk::widget(n).

pathName get ?x y?
  Get the current value of the -value option, or the value corresponding to the coordinates x,y if they are specified. X and y are pixel coordinates relative to the scale widget origin.

pathName identify x y
  Returns the name of the element at position x, y. See ttk::widget(n).

pathName instate statespec ?script?
  Test the widget state; see ttk::widget(n).

pathName set value
  Set the value of the widget (i.e. the -value option) to value. The value will be clipped to the range given by the -from and -to options. Note that setting the linked variable (i.e. the variable named in the -variable option) does not cause such clipping.

pathName state ?stateSpec?
  Modify or query the widget state; see ttk::widget(n).

### INTERNAL COMMANDS

pathName coords ?value?
  Get the coordinates corresponding to value, or the coordinates corresponding to the current value of the -value option if value is omitted.

### SEE ALSO

ttk::widget, scale

### KEYWORDS

scale, slider, trough, widget
Copyright © 1995-1997 Roger E. Critchlow Jr.